kylin-photo-viewer (1.3.0.3-ok21.17) nile; urgency=medium

  * BUG号：无
  * 需求号：无
  * 其他改动说明：任务205197 子 【百日攻关】【图形栈合成渲染技术】UKUI应用适配 / 【百日攻关】【图形栈合成渲染技术】UKUI应用适配 - 看图
  * 影响域：无

 -- sufang <sufang@kylinos.cn>  Wed, 24 Apr 2024 11:29:14 +0800

kylin-photo-viewer (1.3.0.3-ok21.16) nile; urgency=medium

  * BUG号：#I8J776【看图】1366*768px分辨率下，查看图片有遮挡
  * 需求号：无
  * 其他改动说明：侧边栏移至窗口左侧
  * 影响域：无

 -- sufang <sufang@kylinos.cn>  Sat, 20 Apr 2024 13:51:17 +0800

kylin-photo-viewer (1.3.0.3-ok21.15) nile; urgency=medium

  * BUG号：#222945 【看图】【大屏】删除最后一张图片，看图闪退
  * 需求号：无
  * 其他改动说明：无
  * 影响域：无

 -- shangxiaoyang <shangxiaoyang@kylinos.cn>  Wed, 17 Apr 2024 09:27:25 +0800

kylin-photo-viewer (1.3.0.3-ok21.14) nile; urgency=medium

  * BUG号：无
  * 需求号：无
  * 其他改动说明：更新多线程数据线程锁处理，用于保证线程稳定性
  * 影响域：无

 -- shangxiaoyang <shangxiaoyang@kylinos.cn>  Tue, 16 Apr 2024 09:43:03 +0800

kylin-photo-viewer (1.3.0.3-ok21.13) nile; urgency=medium

  * BUG号：#I8Z0KX 【次要】【wayland】【看图】【TM】平板模式窗口可被拖拽 
           #I8Z0Q7 【次要】【wayland】【看图】触摸-裁剪不能自由选择区域
  * 需求号：无
  * 其他改动说明：无
  * 影响域：无

 -- wangjinguang <wangjinguang@kylinos.cn>  Fri, 08 Mar 2024 09:39:52 +0800

kylin-photo-viewer (1.3.0.3-ok21.12) nile; urgency=medium

  * BUG号：#I8WJQK【不重要】【看图】首页文案内容错误
  * 需求号：无
  * 其他改动说明：无
  * 影响域：无

 -- wangjinguang <wangjinguang@kylinos.cn>  Thu, 29 Feb 2024 15:31:56 +0800

kylin-photo-viewer (1.3.0.3-ok21.11) nile; urgency=medium

  * BUG号：#I8WJP2【不重要】【看图】切换2次及以上系统字体，信息栏内容字体不会及时随系统字体改变
  * 需求号：无
  * 其他改动说明：无
  * 影响域：无 

 -- limeiqi <limeiqi@kylinos.cn>  Wed, 28 Feb 2024 17:44:08 +0800

kylin-photo-viewer (1.3.0.3-ok21.10) nile; urgency=medium

  * BUG号：#I8X8JH【次要】【wayland】【看图】右键桌面后右键看图内图片，看图的右键菜单显示为弹窗形态，并显示在看图窗口外
  * 需求号：无
  * 其他改动说明：无
  * 影响域：无

 -- sufang <sufang@kylinos.cn>  Wed, 28 Feb 2024 15:54:18 +0800

kylin-photo-viewer (1.3.0.3-ok21.9) nile; urgency=medium

  * BUG号：I8Z0Y3 【次要】【看图】GB18030-2022字体，在标注的文本工具中不显示已输入的字符，保存标注后才显示
  * 需求号：无
  * 其他改动说明：无
  * 影响域：无 

 -- wangjinguang <wangjinguang@kylinos.cn>  Mon, 26 Feb 2024 09:42:40 +0800

kylin-photo-viewer (1.3.0.3-ok21.8) nile; urgency=medium

  * BUG号：#I8Z1VL【次要】【wayland】【看图】打开看图后调整任务栏大小，看图窗口不能自动适应任务栏
  * 需求号：无
  * 其他改动说明：无
  * 影响域：无

 -- limeiqi <limeiqi@kylinos.cn>  Fri, 23 Feb 2024 13:56:51 +0800

kylin-photo-viewer (1.3.0.3-ok21.7) nile; urgency=medium

  * BUG号：无
  * 需求号：无
  * 其他改动说明：添加include-binaries，允许包含任何二进制文件
  * 影响域：无

 -- sufang <sufang@kylinos.cn>  Tue, 20 Feb 2024 17:23:09 +0800

kylin-photo-viewer (1.3.0.3-ok21.6) nile; urgency=medium

  * BUG号：#I8X7U9【次要】【看图】dib格式图片裁剪异常
           #I8X7Z2【次要】【看图】后缀为pbm真实格式为png的图片，裁剪后显示异常
           #I8X8Z3【次要】【看图】exr格式图片旋转后重新打开，图片颜色发生了变化
  * 需求号：无
  * 其他改动说明：无
  * 影响域：无

 -- sufang <sufang@kylinos.cn>  Mon, 05 Feb 2024 16:23:27 +0800

kylin-photo-viewer (1.3.0.3-ok21.5) yangtze; urgency=medium

  * BUG号：#I8Z18B【次要】【wayland】【看图】全屏后点击右上角还原按钮不能退出全屏
           #I8Z1HF【次要】【看图】exr格式图片没有屏蔽另存为功能
           #I8Z1OO【不重要】【看图】长名称图片，信息栏不能显示完整图片名称时，没有悬浮提示
  * 需求号：无
  * 其他改动说明：无
  * 影响域：无

 -- sufang <sufang@kylinos.cn>  Thu, 01 Feb 2024 10:14:49 +0800

kylin-photo-viewer (1.3.0.3-ok21.4) nile; urgency=medium

  * BUG号：#I8X8KX【次要】【看图】【需求21938】Ctrl+“+”无法放大图片
           #I8X80J【次要】【看图】pnm图片在看图内显示格式为pbm
           #I8X8WS【不重要】【看图】重命名输入框不能右键操作
  * 需求号：无
  * 其他改动说明：无
  * 影响域：无

 -- sufang <sufang@kylinos.cn>  Fri, 26 Jan 2024 15:06:56 +0800

kylin-photo-viewer (1.3.0.3-ok21.3) nile; urgency=medium

  * BUG号：# 204385 【wlcom】【wayland】【看图】看图窗口不能贴边
  * 需求号：无
  * 其他改动说明：无
  * 影响域：无

 -- sufang <sufang@kylinos.cn>  Wed, 24 Jan 2024 14:40:22 +0800

kylin-photo-viewer (1.3.0.3-ok21.2) nile; urgency=medium

  * BUG号：#204398 【wlcom】【看图】图片加载图标和主题不适配
           #204406 【wlcom】【看图】Noto Sans CJK SC Black字体，较大字体，图片信息标题显示不完整
  * 需求号：无
  * 其他改动说明：无
  * 影响域：无

 -- wangjinguang <wangjinguang@kylinos.cn>  Tue, 09 Jan 2024 11:20:10 +0800

kylin-photo-viewer (1.3.0.3-ok21.1) yangtze; urgency=medium

  * BUG号：#I8C0V7 【wayland】【次要】【看图】关于窗口位置不固定
           #I8C0W0 【X】【不重要】【看图】关于窗口未居中显示
  * 需求号：无
  * 其他改动说明：无
  * 影响域：无

 -- sufang <sufang@kylinos.cn>  Fri, 10 Nov 2023 11:07:33 +0800

kylin-photo-viewer (1.3.0.3-ok21) yangtze; urgency=medium

  * BUG号：无
  * 需求号：无
  * 其他改动说明：任务180639 新增多语言支持：维、哈、柯、蒙、藏、繁体 / kylin-photo-viewer openkylin2.0 多语言翻译支持
  * 影响域：无

 -- sufang <sufang@kylinos.cn>  Tue, 31 Oct 2023 15:59:14 +0800

kylin-photo-viewer (1.3.0.3-ok20) yangtze; urgency=medium

  * BUG号：#I8BGMS 【设计走查】双击窗口的交互逻辑与主线看图一致
  * 需求号：#21938 【看图】新增快捷键调整需求
  * 其他改动说明：无
  * 影响域：无

 -- sufang <sufang@kylinos.cn>  Mon, 30 Oct 2023 09:39:39 +0800

kylin-photo-viewer (1.3.0.3-ok19) yangtze; urgency=medium

  * BUG号：I7XFIO 【看图】翻转图片后进行标注，提示需在原图编辑-点击确认后显示仍为翻转后图片，预期应显示翻转前图片
  * 需求号：无
  * 其他改动说明：无
  * 影响域：无

 -- jiawei <jiawei@kylinos.cn>  Tue, 12 Sep 2023 17:29:25 +0800

kylin-photo-viewer (1.3.0.3-ok18) yangtze; urgency=medium

  * rebuild

 -- shangxiaoyang <shangxiaoyang@kylinos.cn>  Wed, 30 Aug 2023 15:18:49 +0800

kylin-photo-viewer (1.3.0.3-ok17) yangtze; urgency=medium

  * BUG号: #I7FQM3 【wayland】【看图】鼠标拖拽看图窗口有卡顿窗口不跟随鼠标现象
  * 需求号：无
  * 其他改动说明：无
  * 影响域：窗口拖拽位置移动

 -- shangxiaoyang <shangxiaoyang@kylinos.cn>  Wed, 30 Aug 2023 14:58:22 +0800

kylin-photo-viewer (1.3.0.3-ok16) yangtze; urgency=medium

  * BUG号: #I7GYTA 【ukui 4】【看图】深色模式看图工具栏图标颜色偏暗
           #I7GYC4 【ukui 4】【看图】浅色模式看图工具栏图标颜色偏浅
           #I72MZG 【看图】ocr未识别到文字信息，“未检测到文本”字样可以被导出
           #I72MWF 【看图】看图-关于版本号与dpkg -l查看的版本号不一致
           ##I72PBL 【不重要】【看图】右上角“三”按钮悬浮提示为菜单，应为选项
  * 需求号：无
  * 其他改动说明：无
  * 影响域：无

 -- denghao <denghao@kylinos.cn>  Fri, 25 Aug 2023 14:00:26 +0800

kylin-photo-viewer (1.3.0.3-ok15) yangtze; urgency=medium

  * BUG号: #I5SXTA #I5TBH5
  * 需求号：无
  * 其他改动说明：rebuild
  * 影响域：wayland环境下的标题栏拖动窗口

 -- zhangyuan <zhangyuan@kylinos.cn>  Tue, 13 Jun 2023 16:12:18 +0800

kylin-photo-viewer (1.3.0.3-ok14) yangtze; urgency=medium

  * rebuild

 -- shangxiaoyang <shangxiaoyang@kylinos.cn>  Mon, 05 Jun 2023 16:53:00 +0800

kylin-photo-viewer (1.3.0.3-ok13) yangtze; urgency=medium

  * BUG号：无
  * 需求号：无
  * 其他改动说明：修复最大化不生效问题
  * 影响域：仅bug修复，无其他影响

 -- zoujunnan <zoujunnan@kylinos.cn>  Tue, 03 Jan 2023 18:43:28 +0800

kylin-photo-viewer (1.3.0.3-ok12) yangtze; urgency=medium

  * BUG号：无
  * 需求号：无
  * 其他改动说明：rebuild
  * 影响域：仅bug修复，无其他影响

 -- zoujunnan <zoujunnan@kylinos.cn>  Tue, 03 Jan 2023 18:43:28 +0800

kylin-photo-viewer (1.3.0.3-ok11) yangtze; urgency=medium

  * BUG号：# issues/I64UTA 【看图】【需求15193】无法复制图片
					#issues/I5XDFE 【次要】【看图】【平板模式】单击图片打开后，图片未居中显示
					# issues/I64UQT 双击窗口内位置无法最大化
  * 需求号：无
  * 其他改动说明：合入平板平板需要 19807，以及合入通用bug的解决方案;加头文件，保证编包
  * 影响域：合入平板平板需要 19807，bug和issue修复

 -- zoujunnan <zoujunnan@kylinos.cn>  Tue, 03 Jan 2023 18:43:28 +0800

kylin-photo-viewer (1.3.0.3-ok10) yangtze; urgency=medium

  * BUG号：# issues/I64UTA 【看图】【需求15193】无法复制图片
					#issues/I5XDFE 【次要】【看图】【平板模式】单击图片打开后，图片未居中显示
					# issues/I64UQT 双击窗口内位置无法最大化
  * 需求号：无
  * 其他改动说明：合入平板平板需要 19807，以及合入通用bug的解决方案
  * 影响域：合入平板平板需要 19807，bug和issue修复

 -- zoujunnan <zoujunnan@kylinos.cn>  Tue, 03 Jan 2023 18:43:28 +0800

kylin-photo-viewer (1.3.0.3-ok9build2) yangtze; urgency=medium

  * BUG号：# issue I64UTA【看图】【需求15193】无法复制图片
  * 需求号：无
  * 其他改动说明：无
  * 影响域：仅bug修复，无其他影响

 -- zoujunnan <zoujunnan@kylinos.cn>  Tue, 03 Jan 2023 18:43:28 +0800

kylin-photo-viewer (1.3.0.3-ok8) yangtze; urgency=medium

  * BUG号：无
  * 需求号：无
  * 其他改动说明：issues【X】【看图】打开看图将其最大化后点击最小化按钮，点击任务栏图标打开看图后最大化/最小化按钮均不生效-修复最大化点击问题，最小化非看图问题
  * 影响域：仅修复最大化问题，最小化问题非看图问题

 -- zoujunnan <zoujunnan@kylinos.cn>  Mon, 12 Dec 2022 18:43:28 +0800

kylin-photo-viewer (1.3.0.3-ok7) yangtze; urgency=medium

  * BUG号：# 130531【设计】【看图】ocr识别中的提示文字没居中
	        #130555 【设计】【看图】OCR识别结果的文字尺寸偏大
  * 需求号：无
  * 其他改动说明：合入通用bug解决方案
  * 影响域：仅影响自身，合入通用bug解决方案

 -- zoujunnan <zoujunnan@kylinos.cn>  Wed, 07 Dec 2022 18:43:28 +0800

kylin-photo-viewer (1.3.0.3-ok6) yangtze; urgency=medium

  * BUG号：无
  * 需求号：无
  * 其他改动说明：同步代码，合入通用bug解决方案，合入标注功能
  * 影响域：仅影响自身，合入通用bug解决方案和标注功能

 -- zoujunnan <zoujunnan@kylinos.cn>  Thu, 24 Nov 2022 18:43:28 +0800

kylin-photo-viewer (1.3.0.3-ok5) yangtze; urgency=medium

  * BUG号：无
  * 需求号：无
  * 其他改动说明：同步代码，缩放优化，新增拖拽功能，新增快捷键
  * 影响域：仅影响自身，缩放优化，新增拖拽功能，新增快捷键

 -- zoujunnan <zoujunnan@kylinos.cn>  Fri, 21 Oct 2022 18:43:28 +0800

kylin-photo-viewer (1.3.0.3-ok4) yangtze; urgency=medium

  * BUG号：无
  * 需求号：无
  * 其他改动说明：解决编译问题
  * 影响域：无其他影响

 -- zoujunnan <zoujunnan@kylinos.cn>  Wed, 20 Jul 2022 18:43:28 +0800

kylin-photo-viewer (1.3.0.3-ok3) yangtze; urgency=medium

  * 适配wayland标题栏和窗口居中，合并主线代码

 -- Xie Wei <xiewei@kylinos.cn>  Fri, 15 Jul 2022 18:43:28 +0800

kylin-photo-viewer (1.3.0.3-ok2) yangtze; urgency=medium

  * 解决应用启动不了的问题

 -- Xie Wei <xiewei@kylinos.cn>  Thu, 30 Jun 2022 18:43:28 +0800

kylin-photo-viewer (1.3.0.3-ok1) yangtze; urgency=medium

  * build for openKylin

 -- Xie Wei <xiewei@kylinos.cn>  Wed, 22 Jun 2022 18:43:28 +0800

kylin-photo-viewer (1.3.0.3) v101; urgency=medium
  
  * BUG号：无
  * 需求号：无
  * 其他改动说明：添加ocr运行依赖，解决看图无法启动的问题
  * 影响域：将ocr依赖包拉下来，解决看图无法启动问题，无其他影响

 -- zoujunnan <zoujunnan@kylinos.cn>  Mon,20  Jun 2022 09:46:00 +0800

kylin-photo-viewer (1.3.0.2) v101; urgency=medium
  
  * BUG号：# 123019【看图】点击ocr按钮，ocr识别页面点击返回，点击工具栏按钮有2s左右卡顿
	        # 122723【看图】图片重命名以后，右键菜单除删除按钮外所有按钮置灰不可点击
	        # 122354【看图】ocr识别过程中，点击返回，再次点击ocr识别，识别区域没有显示正在识别中 
	        # 122321【看图】ocr识别过程中，导出txt按钮应该置灰不可点击
	        # 122717【看图】看图打开图片，进入裁剪模式，鼠标点击滑动会切换图片
	        # 122694【看图】打开已损坏图片时，ocr按钮应该置灰
	        # 122703【看图】深色模式下打开已损坏图片，切换主题为系统默认，看图显示空白没有损坏标识
	        # 118808【藏文】【看图】藏文系统看图部分文字显示不是藏文
  * 需求号：无
  * 其他改动说明：无
  * 影响域：仅bug修复，无其他影响

 -- zoujunnan <zoujunnan@kylinos.cn>  Fri,17  Jun 2022 09:46:00 +0800

kylin-photo-viewer (1.3.0.1) v101; urgency=medium
  
  * BUG号：122303,122531,122592
	- 122303 【看图】 除png和tiff其他格式图片双击图片后，打开看图不进行任何操作，一直处于loadding状态
	- 122531 【看图】点击ocr识别按钮，点击返回，重复5-10次，看图闪退
	- 122592 【看图】看图打开任意图片后，点击右上角关闭按钮，会产生core文件
  * 需求号：无
  * 其他改动说明：支持维哈克多语言（工信部定制）；点击标题栏返回文字响应应用退出（mavis定制）
  * 影响域：支持维哈克多语言（2209版本无维哈克多语言，仅为工信部定制）；点击标题栏返回文字响应应用退出（2209版本不会展示此文字控件，仅为mavis定制）

 -- zoujunnan <zoujunnan@kylinos.cn>  Mon,06  Jun 2022 09:46:00 +0800

kylin-photo-viewer (1.3.0.0) v101; urgency=medium
  
  * BUG号：无
  * 需求号：13870，13871，13708，13709
	- 13870 【麒麟看图】 右键调起画图工具
	- 13871 【麒麟看图】 缩放优化升级
	- 13708 【麒麟看图】 ocr识别图像文字
	- 13709 【麒麟看图】支持tiff格式文件多页查看、打印
  * 其他改动说明：无
  * 影响域：添加上述四个功能

 -- zoujunnan <zoujunnan@kylinos.cn>  Fri,27  May 2021 09:46:00 +0800

kylin-photo-viewer (1.2.0-12) v101; urgency=medium
  
  * BUG号：114174，112731，107327，106129，106088,106004,105877,104037
	- 114174【看图】看图不支持系统快捷键F11
	- 112731【看图】快捷键无法复制图片
	- 107327【看图】看图窗口拖拽到最小时，工具栏和侧栏有部分重叠
	- 106129【看图】导航栏范围内双击鼠标左键，看图窗口全屏显示
	- 106088【看图】裁剪后，拖拽改变窗口大小时无固定最小大小
	- 106004【看图】已删除/被覆盖的图片设为壁纸失败，壁纸显示为纯蓝色/覆盖的图片
	- 105877【看图】裁剪后，点击空格键会进行裁剪操作保存一张自由裁剪的图片 
	- 104037【看图】裁剪后翻页快捷键失效    
  * 任务号：无
  * 其他改动说明：无
  * 影响域：仅bug解决，无影响

 -- zoujunnan <zoujunnan@kylinos.cn>  Fri,31  Dec 2021 09:46:00 +0800

kylin-photo-viewer (1.2.0-11) v101; urgency=medium
  
  * BUG号：100510，100579，100417，99549，98837
   - 100579【看图】截取图片四个角一小素大小图片后保存，看图闪退 
   - 100510【看图】tif/tiff格式图片裁剪为小于2像素后保存时页面闪退，之后所在文件夹下图片打开后均会有闪退现象
   - 100417【看图】打开文件后，看图的整个界面时黑色的，不好看（其他软件界面不是黑色，如影音）
   - 99549【看图】将图片缩小5%后进行裁剪，保存时看图闪退
   - 98837【看图】默认主题，看图页面打开且非置顶状态下，页面色调变为深色    
  * 任务号：无
  * 其他改动说明：无
  * 影响域：仅bug解决，无影响

 -- zoujunnan <zoujunnan@kylinos.cn>  Fri,31  Dec 2021 09:46:00 +0800

kylin-photo-viewer (1.2.0-10) v101; urgency=medium
  
  * BUG号：97583，96825，95951
   - 97583【看图】导航栏存在时，裁剪然后取消返回主页，导航栏消失
   - 96825【SP2 UI走查】【全局】【应用层-天津应用组】透明度、毛玻璃效果一致性
   - 95951【看图】1像素图片缩小至45%或更小时界面显示加载中状态  
  * 任务号：无
  * 其他改动说明：无
  * 影响域：仅bug解决，无影响

 -- zoujunnan <zoujunnan@kylinos.cn>  Wed,22  Dec 2021 09:46:00 +0800

kylin-photo-viewer (1.2.0-9) v101; urgency=medium
  
  * BUG号：97834
   - 97834【看图】除了初次裁剪，每次裁剪的初始状态框是前一次的裁剪框
  * 任务号：无
  * 其他改动说明：无
  * 影响域：仅bug解决，无影响

 -- zoujunnan <zoujunnan@kylinos.cn>  Wed,15  Dec 2021 09:46:00 +0800

kylin-photo-viewer (1.2.0-8) v101; urgency=medium
  
  * BUG号：91723，89539
   - 91723【看图】使用剪裁选中一个范围，之后用鼠标选中取滑动选取的范围进行滑动，画面出现花屏
   - 89539【看图】【需求：9061】使用剪裁后，鼠标滑动选取一个小范围，之后用鼠点中取滑动选取的范围进行滑动，画面出现花屏 
  * 任务号：无
  * 其他改动说明：无
  * 影响域：仅bug解决，无影响

 -- zoujunnan <zoujunnan@kylinos.cn>  Tue,07  Dec 2021 09:46:00 +0800

kylin-photo-viewer (1.2.0-7) v101; urgency=medium
  
  * BUG号：95828
   - 95828【看图】拖拽侧栏滑动条，看图闪退
  * 任务号：无
  * 其他改动说明：无
  * 影响域：仅bug解决，无影响

 -- zoujunnan <zoujunnan@kylinos.cn>  Tue,07  Dec 2021 09:46:00 +0800

kylin-photo-viewer (1.2.0-6) v101; urgency=medium
  
  * BUG号：92352，94491，94486，93132，91723，89539，79348，94490
   - 92352【看图】用看图打开2M以上的图片，看图软件卡顿，反应特别慢
   - 94491【SP2 UI走查】【看图】侧栏缩略图选中态圆角与设计稿不符
   - 94486【看图】无修改权限的图片，工具栏选项中除删除、裁剪、旋转、镜像操作为不可用状态，其他应该能够正常使用
   - 93132【看图】在裁剪页面不同位置多次点击鼠标左键，概率出现裁剪范围框
   - 91723【看图】使用剪裁选中一个范围，之后用鼠标选中取滑动选取的范围进行滑动，画面出现花屏
   - 89539【看图】【需求：9061】使用剪裁后，鼠标滑动选取一个小范围，之后用鼠点中取滑动选取的范围进行滑动，画面出现花屏 
   - 79348【看图】图片所在文件夹存在超过20张图片，且每张图片大小在2m以上，拖入图片到看图，应用内操作严重卡顿
   - 94490【SP2 UI走查】【看图】导航栏可视区域无白色内描边，且光标移动到导航栏中时光标形态未改变 
  * 任务号：无
  * 其他改动说明：为解决79348和92352，侧栏在加载时，不全部加载进去，每次会在进行切换图片或滑动滑条进行加载
  * 影响域：侧栏在加载时，不全部加载进去，每次会在进行切换图片或滑动滑条进行加载

 -- zoujunnan <zoujunnan@kylinos.cn>  Thu,02  Dec 2021 09:46:00 +0800

kylin-photo-viewer (1.2.0-5) v101; urgency=medium
  
  * BUG号：92125，92133，92840，92780，92858
   - 92125【看图】看图里将图片重命名后点击工具栏中的删除功能按钮删除会报路径下不存在该文件 
   - 92113【看图】看图中对于已损坏的图片裁剪功能按钮显示置灰了但还可以点击进行图片裁剪
   - 92840【看图】无法删除与重命名图片名称带有‘%’或者‘#’的图片
   - 92780【看图】裁剪页面右键-另存为后，已选择的裁剪范围消失
   - 92858 【看图】【用户手册】用户手册中看图工具栏按钮描述错误
  * 任务号：无
  * 其他改动说明：修复长按窗口后窗口内触摸失效问题
  * 影响域：长按窗口后可正常触摸操作

 -- zoujunnan <zoujunnan@kylinos.cn>  Mon,22  Nov 2021 09:46:00 +0800

kylin-photo-viewer (1.2.0-4) v101; urgency=medium
  
  * BUG号：无
  * 任务号：61052
   - 61052【SP2】各组件藏文翻译导入 / 【SP2】各组件藏文翻译导入----kylin-photo-viewer
  * 其他改动说明：无
  * 影响域：仅导入藏文qm，其他无影响

 -- zoujunnan <zoujunnan@kylinos.cn>  Fri,19  Nov 2021 09:46:00 +0800

kylin-photo-viewer (1.2.0-3) v101; urgency=medium
  
  * BUG号：90131，91201
   - 90131【产品适配】loogarch架构看图软件打印较大图片存在模糊情况
   - 91201 【看图】部分pnm格式图片打开显示已损坏 
  * 需求号：无
  * 其他改动说明：个别4通道jpeg图片读取失败修复
  * 影响域：正常读取4通道jpeg图片

 -- zoujunnan <zoujunnan@kylinos.cn>  Tue,16  Nov 2021 09:46:00 +0800

kylin-photo-viewer (1.2.0-2) v101; urgency=medium
  
  * BUG号：85196，81762，89539
   - 85196【用户手册】图像查看器图标显示大小不一致
   - 81762【用户手册】【UKUI3.1】图像查看器中图标大小显示不一致
   - 89539【看图】使用剪裁后，鼠标滑动选取一个小范围，之后用鼠点中取滑动选取的范围进行滑动，画面出现花屏
  * 需求号：无
  * 其他改动说明：无
  * 影响域：无

 -- zoujunnan <zoujunnan@kylinos.cn>  Fri,05  Nov 2021 09:46:00 +0800

kylin-photo-viewer (1.2.0-1) v101; urgency=medium
  
  * BUG号：无 
  * 需求号：无
  * 其他改动说明：添加裁剪和另存为
  * 影响域：需测试裁剪和另存为的功能

 -- zoujunnan <zoujunnan@kylinos.cn>  Tue,02  Nov 2021 09:46:00 +0800

kylin-photo-viewer (1.1.0-21) v101; urgency=medium
  
  * BUG号：86464，86463
   - 86464【看图】双击看图底部菜单栏空白处时仍可进入全屏 
   - 86463【看图】双击看图退出全屏时未返回到全屏前状态 
  * 需求号：无
  * 其他改动说明：无
  * 影响域：仅bug修复，无影响

 -- zoujunnan <zoujunnan@kylinos.cn>  Thu,28  Oct 2021 09:46:00 +0800

kylin-photo-viewer (1.1.0-19) v101; urgency=medium
  
  * BUG号：无
  * 需求号：无
  * 其他改动说明：1.调整工具栏位置，距底边6px；2.放开对tif，tiff，jp2，j2k格式的限制
  * 影响域：看图提供tif，tiff，jp2，j2k格式打开入口

 -- zoujunnan <zoujunnan@kylinos.cn>  Wed,13  Oct 2021 09:46:00 +0800

kylin-photo-viewer (1.1.0-18) v101; urgency=medium
  
  * BUG号：84555
   - 84555【看图】对于长度在小号字体时可显示完全，大号字体时显示不全的图片标题，打开该图片后改变字体大小，图片名称显示异常
  * 需求号：无
  * 其他改动说明：无
  * 影响域：仅bug修复，无影响

 -- zoujunnan <zoujunnan@kylinos.cn>  Sat,09  Oct 2021 09:46:00 +0800

kylin-photo-viewer (1.1.0-17) v101; urgency=medium
  
  * BUG号：84007
   - 84007【看图】【PTOF】图片重命名时，若使用了带*的名称，再次双击图片名称，命名文本框内会显示之前重命名失败的名字
  * 任务号：54239
   - 54239 将kylin-photo-viewer多语言不生效的修改同步到社区代码分支
  * 其他改动说明：无
  * 影响域：仅bug修复，无影响

 -- zoujunnan <zoujunnan@kylinos.cn>  Thu,30  Sep 2021 09:46:00 +0800

kylin-photo-viewer (1.1.0-16) v101; urgency=medium
  
  * BUG号：82648，82612
   - 82648【用例147021】【看图】看图重命名能使用*特殊符号
   - 82612【看图】英文模式下，设置15号字体后关于页面的链接显示不全
  * 需求号：无
  * 其他改动说明：无
  * 影响域：仅bug修复，无影响

 -- zoujunnan <zoujunnan@kylinos.cn>  Sun,26  Sep 2021 09:46:00 +0800

kylin-photo-viewer (1.1.0-15) v101; urgency=medium
  
  * BUG号：80712，81191
   - 80712【看图】左右按钮没有悬浮提示
   - 81191【看图】侧栏打开状态下删除列表所有图片后，重新添加图片，左侧翻页按钮位置异常
  * 需求号：无
  * 其他改动说明：无
  * 影响域：仅界面左右按钮添加悬浮提示，无影响

 -- zoujunnan <zoujunnan@kylinos.cn>  Thu,16  Sep 2021 09:46:00 +0800

kylin-photo-viewer (1.1.0-14) v101; urgency=medium
  
  * BUG号：78856，71917，79601，79090
   - 78856【看图】深色模式下，损坏图片显示不清晰
   - 71917【看图】安全中心将图片设置为文件保护后，在看图中点击删除没有反应  
   - 79601【看图】工具栏点击删除按钮，直接删除了本地文件，建议进行弹窗确认
   - 79090【看图】打开图片，删除图片过程中，看图应用闪退
  * 需求号：无
  * 其他改动说明：删除改为调用peony接口，每次删除时，peony会弹出弹窗确认
  * 影响域：1.删除改为调用peony接口，每次删除时，peony会弹出弹窗确认；2.对于安全-保护的和无权限（本身就不可以被删除）的文件，以及损坏文件，删除和其他操作按钮均置灰

 -- zoujunnan <zoujunnan@kylinos.cn>  Fri,10  Sep 2021 09:46:00 +0800

kylin-photo-viewer (1.1.0-13) v101; urgency=medium
  
  * BUG号：75424
   - 75424 【看图】彩色的xpm格式图片用看图打开会失去颜色
  * 需求号：无
  * 其他改动说明：无
  * 影响域：无

 -- zoujunnan <zoujunnan@kylinos.cn>  Wed,01  Sep 2021 09:46:00 +0800

kylin-photo-viewer (1.1.0-12) v101; urgency=medium
  
  * BUG号：76372，75427，77509，77141，77109，76700，71917，77354，77348
   - 76372 【看图】打开看图，双击看图标题出现图片名称修改框
   - 75427 【看图】损坏图片打开后，工具栏中图标置灰不明显，影响用户判断
   - 77509 【看图】【用例147023】看图打开图片-右击选择复制，无法粘贴至桌面与文件夹
   - 77141 【看图】调整系统字体至10号字体，图片详情图片格式显示有截断现象
   - 77109 【文件保护箱-与桌面交互】使用看图打开图片，右键删除加密保护箱内的图片失败
   - 76700 【看图】关于页面无看图介绍文字，且服务与支持行未靠左显示
   - 71917 【看图】安全中心将图片设置为文件保护后，在看图中点击删除没有反应
   - 77354 【看图】【用户手册】实际名称（侧边栏）和用户手册中描述的按钮名称（查看相册）不一致
   - 77348 【看图】调整系统字体至10号字体，图片信息显示有截断现象
  * 需求号：无
  * 其他改动说明：无
  * 影响域：修改复制方式，可作为文件复制到桌面或文件夹内，剪切板显示改为文件形式显示；对于不可删除无权限的文件，均设置不可对其进行操作，各操作按钮置灰

 -- zoujunnan <zoujunnan@kylinos.cn>  Wed,01  Sep 2021 09:46:00 +0800

kylin-photo-viewer (1.1.0-11) v101; urgency=medium
  
  * BUG号：76155，75431，75428
   - 76155 【看图】深色主题下，工具栏中图标显示有黑框
   - 75431 【看图】调整系统字体大小至13号字体以上时，看图页面的字体仍跟随变化
   - 75428 【看图】看图帮助手册页面中图2显示与实际不符
  * 需求号：无
  * 其他改动说明：无
  * 影响域：系统字号适配到15字号，不由主题控制的控件，字号大于15时仍适配15字号。

 -- zoujunnan <zoujunnan@kylinos.cn>  Wed,25  Aug 2021 09:46:00 +0800

kylin-photo-viewer (1.1.0-10) v101; urgency=medium
  
  * BUG号：62468
   - 62468 【看图】无法直接找到U盘添加图片
  * 需求号：无
  * 其他改动说明：更改字号随系统字号变化；增加工具栏悬浮提示
  * 影响域：看图界面字号跟随系统设置变化，增加工具栏鼠标悬浮提示；弹出打开文件的弹窗时，左侧可显示U盘

 -- zoujunnan <zoujunnan@kylinos.cn>  Tue,17  Aug 2021 09:46:00 +0800

kylin-photo-viewer (1.1.0-9) v101; urgency=medium
  
  * BUG号：无
  * 需求号：无
  * 其他改动说明：将解码库重新合入，因版权问题，去掉j2k和tif的打开入口，重新上传
  * 影响域：因版权问题，去掉j2k和tif的打开入口，不由看图打开

 -- zoujunnan <zoujunnan@kylinos.cn>  Fri,13  Aug 2021 09:46:00 +0800

kylin-photo-viewer (1.1.0-7) v101; urgency=medium
  
  * BUG号：73022，72981，55870，51529，49732，45505
   - 73022 【看图】用户手册中部分内容与目前看图页面显示不符 
   - 72981 【看图】打开看图后不做任何操作，看图cpu占用率过高 
   - 55870 【麒麟看图】打开一个图片，删除当前目录下的其他文件，点击左侧侧边栏中被删除的图片，图片会显示转圈加载，在点击其他图片后，侧边栏显示的图片就会丢失一张
   - 51529 【麒麟看图】从应用页面删除图片后从回收站还原，然后重新添加被删除的这张图片，添加成功，但侧栏不显示所添加图片
   - 49732 【麒麟看图】指定图片顺序时，gif和exr格式图片旋转后翻页，应用闪退
   - 45505 【麒麟看图】添加图片时，jp2格式图片在图片路径下有显示，但是添加不成功
  * 需求号：7526：【看图】支持更多图片格式打开
  * 其他改动说明：1.支持：exr，psd，jfi，jif，j2k，jng，wbmp，xbm，xpm图片格式。以上图片格式，可正常在麒麟看图中进行打开；2.jp2和tiff暂时因版权问题，此版本中不进行打开;3.分离解码库;4.添加损坏图片打开逻辑；5.重复添加同一相册图片时，将新曾图片进行显示；6.拖拽不支持图片，保持当前界面显示
  * 影响域：1.支持：exr，psd，jfi，jif，j2k，jng，wbmp，xbm，xpm图片格式。2.添加损坏图片打开,显示损坏icon提示；3.重复添加同一相册图片时，如有新增，新增的图片将加载进相册和主界面；4.拖拽不支持图片，保持当前界面显示;5.jp2和tiff暂时因版权问题,此版本中不进行打开

 -- zoujunnan <zoujunnan@kylinos.cn>  Thu,12  Aug 2021 09:46:00 +0800

kylin-photo-viewer (1.1.0-6) v101; urgency=medium
  
  * BUG号：无
  * 需求号：（任务号45600）：由看图替换eom，故在看图里更改
  * 其他改动说明：改变左边按钮位置，避免被相册遮挡；更改kib为KB，Mib为MB
  * 影响域：相册打开或关闭时，按钮位置随之改变；信息栏文件大小显示单位，改kib为KB，Mib为MB

 -- zoujunnan <zoujunnan@kylinos.cn>  Tue,27  Jul 2021 09:46:00 +0800

kylin-photo-viewer (1.1.0-5) v101; urgency=medium
  
  * BUG号：无
  * 需求号：7197
  * 其他改动说明：优化打印逻辑；调用dbus接口实现文件夹中显示功能；优化图片显示；看图默认不打开无后缀的图片
  * 影响域：相册不默认打开

 -- zoujunnan <zoujunnan@kylinos.cn>  Fri,16  Jul 2021 09:46:00 +0800

kylin-photo-viewer (1.1.0-4) v101; urgency=medium
  
  * BUG号：64973
  * 需求号：无
  * 其他改动说明：无
  * 影响域：仅bug修复，无影响

 -- zoujunnan <zoujunnan@kylinos.cn>  Sat,03  Jul 2021 09:46:00 +0800

kylin-photo-viewer (1.1.0-3) v101; urgency=medium
  
  * BUG号：63239
  * 需求号：无
  * 其他改动说明：无
  * 影响域：点击文件夹中显示选项后，关闭看图，文件管理器打开的文件夹将不再随之关闭

 -- zoujunnan <zoujunnan@kylinos.cn>  Fri,02  Jul 2021 09:46:00 +0800

kylin-photo-viewer (1.1.0-2) v101; urgency=medium
  
  * BUG号：64170
  * 需求号：无
  * 其他改动说明：无
  * 影响域：无影响

 -- zoujunnan <zoujunnan@kylinos.cn>  Wed,30  Jun 2021 09:46:00 +0800

kylin-photo-viewer (1.1.0-1) v101; urgency=medium
  
  * BUG号：50065，50010
  * 需求号：无
  * 其他改动说明：适配系统日志模块
  * 影响域：仅bug修复，无影响

 -- zoujunnan <zoujunnan@kylinos.cn>  Sat,26  Jun 2021 09:46:00 +0800

kylin-photo-viewer (1.1.0) v101; urgency=medium
  
  * BUG号：无
  * 需求号：无
  * 其他改动说明：升级版本号，更新用户手册相关内容，优化动图保存逻辑
  * 影响域：关于界面版本号更新，用户手册看图内容更新

 -- zoujunnan <zoujunnan@kylinos.cn>  Fri,25  Jun 2021 09:46:00 +0800

kylin-photo-viewer (1.0.0-23) v101; urgency=medium
  
  * BUG号：无
  * 需求号：6839，6838，6834，6325
  * 其他改动说明：无
  * 影响域：增加：复制，打印，重命名功能

 -- zoujunnan <zoujunnan@kylinos.cn>  Wed,16  Jun 2021 09:46:00 +0800

kylin-photo-viewer (1.0.0-22) v101; urgency=medium
  
  * BUG号：62462
  * 需求号：无
  * 其他改动说明：无
  * 影响域：无

 -- zoujunnan <zoujunnan@kylinos.cn>  Sat,19  Jun 2021 09:46:00 +0800

kylin-photo-viewer (1.0.0-21) v101; urgency=medium
  
  * BUG号：61342
  * 需求号：无
  * 其他改动说明：无
  * 影响域：无

 -- zoujunnan <zoujunnan@kylinos.cn>  Fri,11  Jun 2021 09:46:00 +0800

kylin-photo-viewer (1.0.0-20) v101; urgency=medium
  
  * BUG号：无
  * 需求号：无
  * 其他改动说明：修改拖拽后缀为大写的图片打开失败问题；固定字号
  * 影响域：控制面板字号变化，界面字号不跟随变化

 -- zoujunnan <zoujunnan@kylinos.cn>  Thu,10  Jun 2021 09:46:00 +0800

kylin-photo-viewer (1.0.0-19) v101; urgency=medium
  
  * BUG号：60343
  * 需求号：无
  * 其他改动说明：无
  * 影响域：仅bug修复，无影响

 -- zoujunnan <zoujunnan@kylinos.cn>  Sat,05  Jun 2021 09:46:00 +0800

kylin-photo-viewer (1.0.0-18) v101; urgency=medium
  
  * BUG号：59722，59719
  * 需求号：无
  * 其他改动说明：无
  * 影响域：仅bug修复，无影响

 -- zoujunnan <zoujunnan@kylinos.cn>  Sat,05  Jun 2021 09:46:00 +0800

kylin-photo-viewer (1.0.0-17) v101; urgency=medium
  
  * BUG号：59520，59519，58661
  * 需求号：无
  * 其他改动说明：修改图片缩放百分比，每次增减由10%变为5%
  * 影响域：修改图片缩放百分比，每次增减由10%变为5%

 -- zoujunnan <zoujunnan@kylinos.cn>  Fri,04  Jun 2021 09:46:00 +0800

kylin-photo-viewer (1.0.0-16) v101; urgency=medium
  
  * BUG号：56583，57370
  * 需求号：6322，6329，6331，6333，6335
  * 其他改动说明：无
  * 影响域：相册顶部，添加打开图片按钮；默认显示图片机制改为：打开时，原图大于窗口，自适应显示；反之，1：1显示；rebuild

 -- zoujunnan <zoujunnan@kylinos.cn>  Thu,03  Jun 2021 09:46:00 +0800

kylin-photo-viewer (1.0.0-15) v101; urgency=medium
  
  * BUG号：55870，56583，57370
  * 需求号：6322，6329，6331，6333，6335
  * 其他改动说明：无
  * 影响域：仅bug修复，无影响

 -- zoujunnan <zoujunnan@kylinos.cn>  Thu,03  Jun 2021 09:46:00 +0800

kylin-photo-viewer (1.0.0-14) v101; urgency=medium
  
  * BUG号：56040，55995，55870，55833，55814，54162，54129，55677
  * 需求号：无
  * 其他改动说明：修复关闭时进行操作闪退问题
  * 影响域：需对应ubuntukylin-default-settings (20.04.2+20210519)或以上版本，设置看图为默认图片查看器，双击看图支持的图片，由看图打开

 -- zoujunnan <zoujunnan@kylinos.cn>  Thu,20  May 2021 09:46:00 +0800

kylin-photo-viewer (1.0.0-13) v101; urgency=medium
  
  * BUG号：55787
  * 需求号：无
  * 其他改动说明：添加按键响应按钮过滤，修复按键不响应切换图片的问题。

 -- zoujunnan <zoujunnan@kylinos.cn>  Wed,19  May 2021 09:46:00 +0800

kylin-photo-viewer (1.0.0-12) v101; urgency=high
  
  * BUG号：44692，54136，55275，55269，55266
  * 需求号：无
  * 其他改动说明：调用主题提供的属性，添加字体不跟随控制面板变化；添加MimeType的ras支持；修改主题图标调用。

 -- zoujunnan <zoujunnan@kylinos.cn>  Tue,18  May 2021 09:46:00 +0800

kylin-photo-viewer (1.0.0-11) v101; urgency=medium
  
  * BUG号：52136,53003
  * 需求号：无(任务号：26473)
  * 其他改动说明：desktop文件的MimeType去掉jp2格式的支持，添加sr格式。

 -- zoujunnan <zoujunnan@kylinos.cn>  Sat,08  May 2021 09:46:00 +0800

kylin-photo-viewer (1.0.0-10) v101; urgency=medium
  
  * BUG号：51270，51196，50947，50654，50236，51374，51443，51469，50254，52359，50826
  * 需求号：无
  * 其他改动说明：desktop文件的MimeType去掉jp2格式的支持，添加sr格式。

 -- zoujunnan <zoujunnan@kylinos.cn>  Thu,06  May 2021 09:46:00 +0800

kylin-photo-viewer (1.0.0-9) v101; urgency=medium
  
  * BUG号：49178，48841，48853，48859，48855，49323，49346，49331，48846，49453，49358，48899，45118，48318，48337，48325，49353，49341，48863，49716，49999
  * 需求号：无(任务号：26473)
  * 其他改动说明：更新用户手册相关内容

 -- zoujunnan <zoujunnan@kylinos.cn>  Fri,23  Apr 2021 09:46:00 +0800

kylin-photo-viewer (1.0.0-6) v101; urgency=medium
  
  * BUG号：47262，47255，47233，47290，45176，47305，48309，48341
  * 需求号：无
  * 其他改动说明：添加相册功能和界面；添加触控手势功能：旋转，左滑右滑；优化保存逻辑、优化相册逻辑

 -- liuyuhui <liuyuhui@kylinos.cn>  Mon,12  Apr 2021 09:46:00 +0800

kylin-photo-viewer (1.0.0-5) v101; urgency=medium
  
  * 代码规范
  * 添加深色模式按钮图标
  * 添加按键响应包括上一张，下一张，删除
  * 解决BUG#46044 鼠标悬浮于标题栏麒麟看图logo下侧位置时，logo呈选中状态显示
  * 已知问题：正常关闭的时候，终端可能会显示异常退出，用户正常操作不影响。
  * 已知问题：英文模式下，信息栏显示不全。

 -- liuyuhui <liuyuhui@kylinos.cn>  Tue,06  Apr 2021 09:46:00 +0800

kylin-photo-viewer (1.0.0-4) v101; urgency=medium
  
  * 解决BUG#45176 当图片显示比例为三位数时工具栏中图片的缩放百分比未位于比例缩小和比例放大的中央位置
  * 解决BUG#45090 窗口标题栏未响应鼠标双击事件 
  * 解决BUG#45084 动图的右键菜单鼠标悬浮状态闪烁，无法进行右键设置操作 
  * 解决BUG#44735 鼠标悬浮于图片详情页面上侧时无法调出标题栏

 -- liuyuhui <liuyuhui@kylinos.cn>  Mon,29  Mar 2021 09:46:00 +0800

kylin-photo-viewer (1.0.0-3) v101; urgency=medium
  
  * 解决BUG#45184 动图旋转后工具栏中图片缩放比例显示不变
  * 解决BUG#45118 gif格式图片旋转或镜像后未覆盖保存
  * 解决BUG#44747 连续添加gif或apng格式图片和其他图片时，麒麟看图闪退
  * 新增功能需求：修改图片尺寸不修改当前显示比例
  * 优化日志模块，优化配置文件逻辑

 -- liuyuhui <liuyuhui@kylinos.cn>  Thu,25  Mar 2021 09:46:00 +0800

kylin-photo-viewer (1.0.0-2) v101; urgency=medium
  
  * 解决BUG#44681 中文环境下麒麟看图页面文字显示为英文
  * 解决BUG#44688 在应用主页首次添加图片后标题栏被图片遮挡
  * 解决BUG#44713 添加gif或apng格式图片，打开详情页面，若显示标题栏，详情页面会发生抖动，且标题栏遮挡了部分详情页面的显示 
  * 解决BUG#44758 tiff和jpeg格式图片可通过页面功能按钮添加，但无法通过拖拽添加至应用页面显示 
  * 解决BUG#44778 工具栏和标题栏未隐藏状态下，鼠标移出窗口外再移回窗口悬浮于工具栏或标题栏上时，工具栏和标题栏仍按鼠标移出窗口时的时间2s后自动隐藏

 -- liuyuhui <liuyuhui@kylinos.cn>  Thu,25  Mar 2021 09:46:00 +0800

kylin-photo-viewer (1.0.0-1) v101; urgency=medium
  
  * 首次上传

 -- liuyuhui <liuyuhui@kylinos.cn>  Tue,02  Mar 2021 09:46:00 +0800
